
/*
 * This file was automatically generated using swig_doc.py.
 *
 * Any changes to it will be lost next time it is regenerated.
 */




%feature("docstring") gr::ais::corr_est_cc "Correlate stream with a pre-defined sequence and estimate peak.

Input: 
Output: 

This block is designed to search for a sync word by correlation and uses the results of the correlation to get a time and phase offset estimate. These estimates are passed downstream as stream tags for use by follow-on synchronization blocks.


The sync word is provided as a set of symbols along with a baseband matched filter which we use to create the filtered and upsampled symbols that we will receive over-the-air.


The phase_est tag can be used by downstream blocks to adjust their phase estimatopm/correction loops, and is currently implemented by the gr::digital::costas_loop_cc block.


The time_est tag can be used to adjust the sampling timing estimate of any downstream synchronization blocks and is currently implemented by the gr::digital::pfb_clock_sync_ccf block.


The caller must provide a \"time_est\" and \"phase_est\" tag marking delay from the start of the correlated signal segment, in order to mark the proper point in the sync word for downstream synchronization blocks. Generally this block cannot know where the actual sync word symbols are located relative to \"corr_start\", given that some modulations have pulses with intentional ISI. The user should manually examine the primary output and the \"corr_start\" tag postition to determine the required tag delay settings for the particular modulation, sync word, and downstream blocks used.


For a discussion of the properties of complex correlations, with respect to signal processing, see: Marple, Jr., S. L., \"Estimating Group Delay and Phase Delay via Discrete-Time 'Analytic' Cross-Correlation,  , Volume 47, No. 9, September 1999"

%feature("docstring") gr::ais::corr_est_cc::make "Make a block that correlates against the  vector and outputs a phase and symbol timing estimate.

Params: (symbols, sps, mark_delay, threshold)"

%feature("docstring") gr::ais::corr_est_cc::symbols "

Params: (NONE)"

%feature("docstring") gr::ais::corr_est_cc::set_symbols "

Params: (symbols)"

%feature("docstring") gr::ais::freqest "<+description of block+>"

%feature("docstring") gr::ais::freqest::make "Return a shared_ptr to a new instance of ais::freqest.

To avoid accidental use of raw pointers, ais::freqest's constructor is in a private implementation class. ais::freqest::make is the public interface for creating new instances.

Params: (sample_rate, data_rate, fftlen)"

%feature("docstring") gr::ais::invert "<+description of block+>"

%feature("docstring") gr::ais::invert::make "Return a shared_ptr to a new instance of ais::invert.

To avoid accidental use of raw pointers, ais::invert's constructor is in a private implementation class. ais::invert::make is the public interface for creating new instances.

Params: (NONE)"

%feature("docstring") gr::ais::msk_timing_recovery_cc "MSK/GMSK timing recovery.

This block performs timing synchronization on CPM modulations using a fourth-order nonlinearity feedback method which is non-data-aided. The block does not require prior phase synchronization but is relatively sensitive to frequency offset (keep offset to 0.1x symbol rate).


For details on the algorithm, see: A.N. D'Andrea, U. Mengali, R. Reggiannini: A digital approach to clock recovery in generalized minimum shift keying. IEEE Transactions on Vehicular Technology, Vol. 39, Issue 3."

%feature("docstring") gr::ais::msk_timing_recovery_cc::make "Make an MSK timing recovery block.

Params: (sps, gain, limit, osps)"

%feature("docstring") gr::ais::msk_timing_recovery_cc::set_gain "

Params: (gain)"

%feature("docstring") gr::ais::msk_timing_recovery_cc::get_gain "

Params: ()"

%feature("docstring") gr::ais::msk_timing_recovery_cc::set_limit "

Params: (limit)"

%feature("docstring") gr::ais::msk_timing_recovery_cc::get_limit "

Params: ()"

%feature("docstring") gr::ais::msk_timing_recovery_cc::set_sps "

Params: (sps)"

%feature("docstring") gr::ais::msk_timing_recovery_cc::get_sps "

Params: ()"

%feature("docstring") gr::ais::pdu_to_nmea "<+description of block+>"

%feature("docstring") gr::ais::pdu_to_nmea::to_nmea "

Params: ()"

%feature("docstring") gr::ais::pdu_to_nmea::print "

Params: ()"

%feature("docstring") gr::ais::pdu_to_nmea::make "Return a shared_ptr to a new instance of ais::pdu_to_nmea.

To avoid accidental use of raw pointers, ais::pdu_to_nmea's constructor is in a private implementation class. ais::pdu_to_nmea::make is the public interface for creating new instances.

Params: (designator)"